# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v5.10.148
  - 3783e64fee4a Linux 5.10.148
  - 0df206bdc620 misc: pci_endpoint_test: Fix pci_endpoint_test_{copy,write,read}() panic
  - 40a29e58f639 misc: pci_endpoint_test: Aggregate params checking for xfer
  - 9c13b1a044c9 Input: xpad - fix wireless 360 controller breaking after suspend
  - 19dba9c3b5a3 Input: xpad - add supported devices as contributed on github
  - b2b9386667e6 wifi: cfg80211: update hidden BSSes to avoid WARN_ON
  - 58c0306d0bcd wifi: mac80211: fix crash in beacon protection for P2P-device
  - 3539e75abe3c wifi: mac80211_hwsim: avoid mac80211 warning on bad rate
  - b0e5c5deb788 wifi: cfg80211: avoid nontransmitted BSS list corruption
  - 6b9448450313 wifi: cfg80211: fix BSS refcounting bugs
  - 6144c97f96f5 wifi: cfg80211: ensure length byte is present before access
  - e7aa7fd10eba wifi: cfg80211/mac80211: reject bad MBSSID elements
  - a6408e0b694c wifi: cfg80211: fix u8 overflow in cfg80211_update_notlisted_nontrans()
  - b0c37581be9a random: use expired timer rather than wq for mixing fast pool
  - c1a4423fd30f random: avoid reading two cache lines on irq randomness
  - 638f84a718d9 USB: serial: qcserial: add new usb-id for Dell branded EM7455
  - 36b33c63515a scsi: stex: Properly zero out the passthrough command structure
  - 438994b8cd6a efi: Correct Macmini DMI match in uefi cert quirk
  - 2fd1caa0c64b ALSA: hda: Fix position reporting on Poulsbo
  - 011399a3f926 random: clamp credited irq bits to maximum mixed
  - fc87c413f272 random: restore O_NONBLOCK support
  - c04b67c54472 Revert "clk: ti: Stop using legacy clkctrl names for omap4 and 5"
  - 0a49bfa8f82f rpmsg: qcom: glink: replace strncpy() with strscpy_pad()
  ACK: uli -- real life bug?
  - 3451df3a514c USB: serial: ftdi_sio: fix 300 bps rate for SIO
  - 1b257f97fec4 usb: mon: make mmapped memory read only
  - 3ba555d8e12f mmc: core: Terminate infinite loop in SD-UHS voltage switch
  - 068465836652 mmc: core: Replace with already defined values for readability
  - 4f32f266b108 drm/amd/display: skip audio setup when audio stream is enabled
  - a6fe179ba03f drm/amd/display: update gamut remap if plane has changed
  - 73e1b27b58a6 net: atlantic: fix potential memory leak in aq_ndev_close()
  - 3287f0d72710 arch: um: Mark the stack non-executable to fix a binutils warning
  - aeb8315593a6 um: Cleanup compiler warning in arch/x86/um/tls_32.c
  - 6d4deaba063d um: Cleanup syscall_handler_t cast in syscalls_32.h
  - 6d7a47e84913 ALSA: hda/hdmi: Fix the converter reuse for the silent stream
  - c1337f8ea861 net/ieee802154: fix uninit value bug in dgram_sendmsg
  - 034b30c31146 scsi: qedf: Fix a UAF bug in __qedf_probe()
  - 29461bbe2d7f ARM: dts: fix Moxa SDIO 'compatible', remove 'sdhci' misnomer
  - dae0b77cb8b2 dmaengine: xilinx_dma: Report error in case of dma_set_mask_and_coherent API failure
  - e0ca2998dfba dmaengine: xilinx_dma: cleanup for fetching xlnx,num-fstores property
  - 789e590cb8c4 dmaengine: xilinx_dma: Fix devm_platform_ioremap_resource error handling
  - 64e240934c31 firmware: arm_scmi: Add SCMI PM driver remove routine
  - 6df7c6d141ec compiler_attributes.h: move __compiletime_{error|warning}
  - 1e555c3ed1fc fs: fix UAF/GPF bug in nilfs_mdt_destroy
  - acf05d61d39b powerpc/64s/radix: don't need to broadcast IPI for radix pmd collapse flush
  ACK: uli
  - 377c60dd32d3 mm: gup: fix the fast GUP race against THP collapse
  - fce793a056c6 ALSA: pcm: oss: Fix race at SNDCTL_DSP_SYNC
  - 132590d776e2 xsk: Inherit need_wakeup flag for shared sockets
  - beffc38dc6b2 perf tools: Fixup get_current_dir_name() compilation
  ACK: uli -- userspace, Android only(?)
  - fb380f548c44 docs: update mediator information in CoC docs
  ACK: uli -- docs only
  - c7f4af575b1d Makefile.extrawarn: Move -Wcast-function-type-strict to W=1
  - b23b0cd57e2c ceph: don't truncate file in atomic_open
  - 8a18fdc5ae8e nilfs2: replace WARN_ONs by nilfs_error for checkpoint acquisition failure
  - aad4c997857f nilfs2: fix leak of nilfs_root in case of writer thread creation failure
  - 21ee3cffed8f nilfs2: fix use-after-free bug of struct nilfs_root
  - 3f840480e314 nilfs2: fix NULL pointer dereference at nilfs_bmap_lookup_at_level()
